: Class Shade

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Shade

    java.lang.Object
      |
      +--Rectangle
            |
            +--Shade

class Shade
extends Rectangle
implements SequenceTerminal

This class represents a line described by its end-points p, q.

Field Summary
`java.util.Vector` | `lines` Lines that formed this Shade.
`int` | `shades` Number of shades to draw.

Fields inherited from class Rectangle
`angle, graphics, height, height_x, height_y, points, time_stamp, width, width_x, width_y, x, y`

Constructor Summary
`(package private)` | `Shade(java.util.Vector lines)` The constructor.

Method Summary
`double` | `getAngle()` Returns the angle of the object WRT the x axis in radians.
`Rectangle` | `getRectangularBounds()` Supplied for completeness.
`long` | `getTimeStamp()` Returns the time stamp of the current Terminal
`java.lang.String` | `getType()` Implement GeometricObject
`void` | `paint()` Draw the object
`void` | `paint(java.awt.Graphics g)` Draw the object
`void` | `paintOriginal(java.awt.Graphics g)` This method is used to paint the original data points that forms this GeometricObject
`boolean` | `pointIsOn(Point point, int radius)` Returns true if the point is within +-radius distance from the curve defining the object.
`void` | `setTimeStamp(long time_stamp)` Sets the time stamp of the current Terminal
`java.lang.String` | `toString()` Override toString

Methods inherited from class Rectangle
`area, containsGeometricObject, containsGeometricObjects, getCenter, getDataPoints, getHeight, getMajorAxisAngle, getMajorAxisDirection, getMajorAxisLength, getMinorAxisAngle, getMinorAxisLength, getPolygonalBounds, getWidth, hasOnMajorAxisDirection, isRectangle, paint, pointIsOnOriginal, rotateAbout, scaleAboutCenter, setDataPoints, setGraphicsContext, setRectangle, shade, shade, spatialRelation, spatialRelation, spatialRelationCartesian, touches, union`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### lines

    public java.util.Vector lines

  Lines that formed this Shade.

### shades

    public int shades

  Number of shades to draw.

Constructor Detail

### Shade

    Shade(java.util.Vector lines)

  The constructor.

Method Detail

### getType

    public java.lang.String getType()

  Implement GeometricObject
  Overrides:
    getType in class Rectangle

### toString

    public java.lang.String toString()

  Override toString
  Overrides:
    toString in class Rectangle

### paint

    public void paint()

  Draw the object
  Overrides:
    paint in class Rectangle

### paint

    public void paint(java.awt.Graphics g)

  Draw the object
  Overrides:
    paint in class Rectangle

### paintOriginal

    public void paintOriginal(java.awt.Graphics g)

  This method is used to paint the original data points that forms this GeometricObject
  Overrides:
    paintOriginal in class Rectangle

### pointIsOn

    public boolean pointIsOn(Point point,
                             int radius)

  Returns true if the point is within +-radius distance from the curve defining the object. Returns false o/w.
  Overrides:
    pointIsOn in class Rectangle

### getRectangularBounds

    public Rectangle getRectangularBounds()

  Supplied for completeness.
  Overrides:
    getRectangularBounds in class Rectangle

### getAngle

    public double getAngle()

  Returns the angle of the object WRT the x axis in radians.
  Overrides:
    getAngle in class Rectangle

### setTimeStamp

    public void setTimeStamp(long time_stamp)

  Sets the time stamp of the current Terminal
  Overrides:
    setTimeStamp in class Rectangle

### getTimeStamp

    public long getTimeStamp()

  Returns the time stamp of the current Terminal
  Overrides:
    getTimeStamp in class Rectangle

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD